<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}

    <div class="delegated-connections-page">
        <div class="delegated-connections-page__actions-bar">
            <a
                href="/delegated-connections/active"
                class="delegated-connections-page__actions-bar__button button--secondary {{ if eq .SelectedTab "active" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-external-link-line" "icon icon--inline" }}
                {{ i18n "Active" }}
                {{ if eq .SelectedTab "active" }}
                    ({{ .AmountOfConnections }})
                {{ end }}
            </a>

            <a
                href="/delegated-connections/proposed"
                class="delegated-connections-page__actions-bar__button button--secondary {{ if eq .SelectedTab "proposed" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-external-link-line" "icon icon--inline" }}
                {{ i18n "Proposed" }}
                {{ if eq .SelectedTab "proposed" }}
                    ({{ .AmountOfConnections }})
                {{ end }}
            </a>

            <a
                href="/delegated-connections/archive"
                class="delegated-connections-page__actions-bar__button button--secondary {{ if eq .SelectedTab "archive" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-archive-line" "icon icon--inline" }}
                {{ i18n "Archived" }}
                {{ if eq .SelectedTab "archive" }}
                    ({{ .AmountOfConnections }})
                {{ end }}
            </a>
        </div>

        {{ if and (eq (len .Connections) 0) (not .PaginationNextCursor) }}
            <div class="delegated-connections-page__no-results">
                {{ i18n "No Delegated Connections present" }}
            </div>
            <div id="pagination"></div>
        {{ else if and (eq (len .Connections) 0) (.PaginationNextCursor) }}
            <div id="pagination">
                <div class="delegated-connections-page__no-results">
                    {{ i18n "No more Delegated Connections present" }}.
                    <a href="/delegated-connections/{{ .SelectedTab }}"
                        >{{ i18n "Back to top" }}.</a
                    >
                </div>
            </div>
        {{ else }}
            <table>
                <thead>
                    <tr>
                        <th
                            class="delegated-connections-page__connections-table__contract-status-column"
                        ></th>
                        <th
                            class="delegated-connections-page__connections-table__column"
                        >
                            {{ i18n "Service" }}
                        </th>
                        <th
                            class="delegated-connections-page__connections-table__column"
                        >
                            {{ i18n "Service Provider" }}
                        </th>
                        <th
                            class="delegated-connections-page__connections-table__column"
                        >
                            {{ i18n "Offered on behalf of" }}
                        </th>
                        <th
                            class="delegated-connections-page__connections-table__column"
                        >
                            {{ i18n " Outway Peer (Delegatee)" }}
                        </th>
                        <th
                            class="delegated-connections-page__connections-table__column"
                        >
                            {{ i18n "Created at" }}
                        </th>
                        <th
                            class="delegated-connections-page__connections-table__column"
                        >
                            {{ i18n "Valid from" }}
                        </th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    {{ range .Connections }}
                        <tr
                            class="tr--link"
                            hx-get="/contract/{{ .ContentHash }}?back_button_url={{ $.ContractDetailBackButtonURLPath }}#{{ .GrantHashURLFriendly }}"
                            hx-push-url="true"
                            hx-swap="innerHTML"
                            hx-target="body"
                        >
                            <td
                                class="delegated-connections-page__connections-table__contract-status-column"
                            >
                                {{ block "contract-status" . }}{{ end }}
                            </td>
                            <td>{{ .ServiceName }}</td>
                            <td>
                                {{ .ServicePeerName }} <br />
                                <small>{{ .ServicePeerID }}</small>
                            </td>
                            <td>
                                {{ .ServicePublicationDelegatorPeerName }}<br />
                                <small
                                    >{{ .ServicePublicationDelegatorPeerID }}</small
                                >
                            </td>
                            <td>
                                {{ .OutwayPeerName }}<br />
                                <small>{{ .OutwayPeerID }}</small>
                            </td>
                            <td>
                                <time
                                    data-format="LLL"
                                    datetime="{{ .CreatedAt }}"
                                    >{{ .CreatedAt }}</time
                                >
                            </td>
                            <td>
                                <time
                                    data-format="LLL"
                                    datetime="{{ .ValidNotBefore }}"
                                    >{{ .CreatedAt }}</time
                                >
                            </td>
                            <td class="td--link">
                                <a
                                    href="/contract/{{ .ContentHash }}#{{ .GrantHashURLFriendly }}"
                                >
                                    {{ svg "icon-chevron-right" "icon" }}
                                </a>
                            </td>
                        </tr>
                    {{ end }}
                </tbody>
            </table>
            <br />
            <br />
            {{ if (lt (len .Connections) .PaginationLimit) }}
                <div id="pagination">
                    <div class="delegated-connections-page__no-results">
                        {{ i18n "No more Delegated Connections present" }}.
                        <a href="/delegated-connections/{{ .SelectedTab }}"
                            >{{ i18n "Back to top" }}.</a
                        >
                    </div>
                </div>
            {{ else }}

                <nav>
                    <ol id="pagination" class="pagination" hx-boost="true">
                        <li>
                            <a
                                href="/delegated-connections/{{ .SelectedTab }}?pagination_cursor={{ .PaginationNextCursor }}"
                                hx-select="tbody tr"
                                hx-target="tbody"
                                hx-swap="beforeend show:none"
                                hx-select-oob="#pagination"
                                >{{ i18n "Show more Delegated Connections" }}</a
                            >
                        </li>
                    </ol>
                </nav>
            {{ end }}
        {{ end }}
    </div>
{{ end }}
